/*
 * Copyright (c) 2013, Intel Corporation
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *   * Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *   * Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *   * Neither the name of Intel Corporation nor the names of its contributors
 *     may be used to endorse or promote products derived from this software
 *     without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef	_NUMATOP_OS_CMD_H
#define	_NUMATOP_OS_CMD_H

#include <sys/types.h>
#include <inttypes.h>
#include "../types.h"
#include "../cmd.h"

#ifdef __cplusplus
extern "C" {
#endif

extern int os_preop_switch2profiling(cmd_t *, boolean_t *);
extern int os_preop_switch2ll(cmd_t *, boolean_t *);
extern int os_preop_llrefresh(cmd_t *, boolean_t *);
extern int os_preop_llmap_get(cmd_t *, boolean_t *);
extern int os_preop_switch2ln(cmd_t *, boolean_t *);
extern int os_preop_lnrefresh(cmd_t *, boolean_t *);
extern int os_preop_lnmap_get(cmd_t *, boolean_t *);
extern int os_preop_back2ll(cmd_t *, boolean_t *);
extern int os_preop_switch2callchain(cmd_t *, boolean_t *);
extern int os_preop_switch2accdst(cmd_t *, boolean_t *);
extern int os_preop_leavecallchain(cmd_t *, boolean_t *);
extern int os_preop_switch2pqoscmt(cmd_t *, boolean_t *);
extern int os_preop_switch2pqosmbm(cmd_t *, boolean_t *);
extern int os_preop_switch2uncore(cmd_t *, boolean_t *);

extern int os_op_llmap_stop(cmd_t *, boolean_t);
extern int os_op_lnmap_stop(cmd_t *, boolean_t);
extern int os_op_switch2ll(cmd_t *, boolean_t);
extern int os_op_callchain_count(cmd_t *, boolean_t);
extern int os_op_switch2llcallchain(cmd_t *, boolean_t);

#ifdef __cplusplus
}
#endif

#endif /* _NUMATOP_OS_CMD_H */
